* =======================================================
* Winset and Core Analysis, 23.08.2012 
* =======================================================

clear
use "C:\Users\Heike\Dropbox\Dokumente\Papers\Geralds Paper\coreorwinset.dta" 

cd "C:\Users\Heike\Dropbox\Dokumente\Papers\Geralds Paper\"
*log using winset_core_analysis, replace


* ==============
* Variables
* ==============

* polcha 			= Policy change
* legisproc 		= Legislative procedure
* neworam 			= Novelty
* voting 			= Voting rule
* directive			= Type of legislative act
* sizeiic			= Size of core
* sizeiiwset		= Size of winset



* ==========================
* OLS REGRESSION (Table 3)
* ==========================

* Base model
regress polcha legisproc neworam voting directive

* Core model
regress polcha sizeiic legisproc neworam voting directive

* Winset model 
regress polcha sizeiiwset legisproc neworam voting directive

* Full model
regress polcha sizeiic sizeiiwset legisproc neworam voting directive

* Only core
regress polcha sizeiic 

* Only winset
regress polcha sizeiiwset

* Only core and winset
regress polcha sizeiic sizeiiwset 


* Generate indicator variable
gen keepcase = 1 if e(sample) == 1




* =====================================
* COX REGRESSION (Table 4)
* =====================================


* Base model
stcox legisproc neworam voting directive if keepcase == 1
estat ic

* Core model
stcox sizeiic legisproc neworam voting directive if keepcase == 1
estat ic

* Winset model
stcox sizeiiwset legisproc neworam voting directive if keepcase == 1
estat ic

* Full model
stcox sizeiic sizeiiwset legisproc neworam voting directive
estat ic

* Only core
stcox sizeiic
estat ic

* Only winset
stcox  sizeiiwset
estat ic

* Only core and winset
stcox sizeiic sizeiiwset 
estat ic


* Full model with TDEs
stcox sizeiic sizeiiwset legisproc neworam voting directive
estat phtest, detail
stcox sizeiic sizeiiwset legisproc neworam voting directive, texp(_t) tvc(legisproc neworam directive)
estat ic





* =====================================
* WEP Revisions
* =====================================

* Checking dates of Comm proposal and final approval
regress polcha legisproc neworam voting directive

sort  Comadop
list  Comadop if e(sample) == 1

sort finalact
list finalact if e(sample) == 1


* Cox regression with ln (t) and exp ln (t)
stcox sizeiic sizeiiwset legisproc neworam voting directive, texp(_t) tvc(legisproc neworam directive)
estat ic

stcox sizeiic sizeiiwset legisproc neworam voting directive, texp(ln(_t)) tvc(legisproc neworam directive)
estat ic





log close




